﻿using System.Drawing;
using System.Collections.Generic;

namespace UpdateMasterExcelDocument
{
    public class VerwerkingsInfoCollection
    {
        private List<VerwerkingsInfo> _info;
        public List<VerwerkingsInfo> Info
        {
            get { return _info; }
            set { _info = value; }
        }
        public VerwerkingsInfoCollection()
        {
            _info = new List<VerwerkingsInfo>();
            this.GenerateInfo();
        }
        private void GenerateInfo()
        {
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Netherlands-Flag.png"), 
                "Eindhoven.xlsm", "1. Data - Volume", 24, true ));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Netherlands-Flag.png"), 
                "Eindhoven.xlsm", "2. Data P&L", 24, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Netherlands-Flag.png"), 
                "Eindhoven.xlsm", "3. Data - Stock & Staff", 24, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Netherlands-Flag.png"),
                "Eindhoven.xlsm", "4. Comments", 24, true));

            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Belgium-Flag.png"),
                "Belgium.xlsm", "1. Data - Volume", 29, true ));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Belgium-Flag.png"),
                "Belgium.xlsm", "2. Data P&L", 29, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Belgium-Flag.png"),
                "Belgium.xlsm", "3. Data - Stock & Staff", 29, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Belgium-Flag.png"),
                "Belgium.xlsm", "4. Comments", 29, true));

            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Sweden-Flag.png"),
                "Sweden (SEK).xlsm", "1. Data - Volume", 34, true ));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Sweden-Flag.png"),
                "Sweden (SEK).xlsm", "2. Data P&L", 34, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Sweden-Flag.png"),
                "Sweden (SEK).xlsm", "3. Data - Stock & Staff", 34, true));
            _info.Add(new VerwerkingsInfo(
                Image.FromFile(@"..\..\Images\Sweden-Flag.png"),
                "Sweden (SEK).xlsm", "4. Comments", 34, true));
        }
    }
}
