﻿using System.ComponentModel.DataAnnotations;
using System.Drawing;

namespace UpdateMasterExcelDocument
{
    public class VerwerkingsInfo
    {
        Image sFlag;
        string sDocumentName;
        string sTabName;
        int iRowsTransported;
        bool bSuccessful;

        public Image Flag
        {
            get { return sFlag; }
            set { sFlag = value; }
        }

        [Display(Name = "Document name")]
        public string DocumentName
        {
            get { return sDocumentName; }
            set { sDocumentName = value; }
        }

        [Display(Name = "Tab name")]
        public string TabName
        {
            get { return sTabName; }
            set { sTabName = value; }
        }

        [Display(Name = "Transported rows")]
        public int RowsTransported
        {
            get { return iRowsTransported; }
            set { iRowsTransported = value; }
        }

        public bool Successful
        {
            get { return bSuccessful; }
            set { bSuccessful = value; }
        }

        public VerwerkingsInfo(Image flag, string documentName, string tabName, int rowsTransported, bool successful) {
            this.Flag = flag;
            this.DocumentName = documentName;
            this.TabName = tabName;
            this.RowsTransported = rowsTransported;
            this.bSuccessful = successful;
        }
    }
}
